## org.eclipse.jetty.webapp
Class DiscoveredAnnotation

    java.lang.Object
      org.eclipse.jetty.webapp.DiscoveredAnnotation

    public abstract class DiscoveredAnnotation

extends Object

DiscoveredAnnotation Represents an annotation that has been discovered by scanning source code of WEB-INF/classes and WEB-INF/lib jars.

Field Summary
`protected String` `_className`
`protected Class` `_clazz`
`protected WebAppContext` `_context`

Constructor Summary
`DiscoveredAnnotation(WebAppContext context, String className)`

Method Summary
`abstract void` `apply()`
`Class` `getTargetClass()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _context

    protected WebAppContext _context

### _className

    protected String _className

### _clazz

    protected Class _clazz

Constructor Detail

### DiscoveredAnnotation

    public DiscoveredAnnotation(WebAppContext context,
                                String className)

Method Detail

### apply

    public abstract void apply()

### getTargetClass

    public Class getTargetClass()

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.